Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Location Custom Attributes

  • List location custom attribute definitions

  • Create location custom attribute definition

  • Delete location custom attribute definition

  • Retrieve location custom attribute definition

  • Update location custom attribute definition

  • Bulk delete location custom attributes

  • Bulk upsert location custom attributes

  • List location custom attributes

  • Delete location custom attribute

  • Retrieve location custom attribute

  • Upsert location custom attribute

  • Webhooks

  • location.custom_attribute_definition.owned.created

  • location.custom_attribute_definition.owned.deleted

  • location.custom_attribute_definition.owned.updated

  • location.custom_attribute_definition.visible.created

  • location.custom_attribute_definition.visible.deleted

  • location.custom_attribute_definition.visible.updated

  • location.custom_attribute.owned.deleted

  • location.custom_attribute.owned.updated

  • location.custom_attribute.visible.deleted

  • location.custom_attribute.visible.updated

<- Location Custom Attributes API

Location Custom Attributes API

All versions ->

Update location custom attribute definitionBeta

PUT

 /v2/locations/custom-attribute-definitions/{key}

Updates a location-related custom attribute definition for a Square seller account.

Use this endpoint to update the following fields: name, description, visibility, or the schema for a Selection data type. Only the definition owner can update a custom attribute definition.

Permissions:MERCHANT_PROFILE_WRITE

Guide

Update location custom attribute definition

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

key

string

Required

The key of the custom attribute definition to update.

Link to section

Request body

Link to section

custom_attribute_definition

Required

The custom attribute definition that contains the fields to update. This endpoint supports sparse updates, so only new or changed fields need to be included in the request. Only the following fields can be updated:

  • name
  • description
  • visibility
  • schema for a Selection data type. Only changes to the named options or the maximum number of allowed selections are supported.

For more information, see Update a location custom attribute definition. To enable optimistic concurrency control, specify the current version of the custom attribute definition. If this is not important for your application, version can be set to -1.

Link to section

idempotency_key

string

A unique identifier for this request, used to ensure idempotency. For more information, see Idempotency.

Max Length
45
Link to section

Response fields

Link to section

custom_attribute_definition

The updated custom attribute definition.

Link to section

errors

Any errors that occurred during the request.

Link to section

Examples

All versions ->

PUT /v2/locations/custom-attribute-definitions/{key}
curl https://connect.squareup.com/v2/locations/custom-attribute-definitions/services-offered \ -X PUT \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "custom_attribute_definition": { "schema": { "items": { "names": [ "Wood repair", "Leather repair" ], "enum": [ "46efa55a-1f1d-467f-9733-468f881a4f20", "954998e1-b666-43a4-baf3-89cb87afe25a" ] } } } }'

Response JSON

{ "custom_attribute_definition": { "key": "services-offered", "name": "Services offered", "description": "The services offered at this location", "version": 2, "updated_at": "2022-12-16T16:08:48Z", "schema": { "$schema": "https://developer-production-s.squarecdn.com/meta-schemas/v1/selection.json", "maxItems": 3, "type": "array", "uniqueItems": true, "items": { "names": [ "Wood repair", "Leather repair" ], "enum": [ "46efa55a-1f1d-467f-9733-468f881a4f20", "954998e1-b666-43a4-baf3-89cb87afe25a" ] } }, "created_at": "2022-12-06T15:57:23.211Z", "visibility": "VISIBILITY_READ_ONLY" } }